H3 V2:查询视频任务
接口参考来自当前平台公开协议。具体模型的模式和规格请在模型详情中确认。
响应示例
以下为各状态的结构示意,ID 与票据为占位值。HTTP 200 只表示请求成功;查询还需检查任务状态。
排队中
{
"task": {
"id": "job_example",
"model": "MiniMax-H3",
"created_at": 1800000000,
"updated_at": 1800000060,
"resolution": "768P",
"duration": 5,
"ratio": "16:9",
"width": 1344,
"height": 768,
"task_type": "generation",
"modality": "video",
"status": "queued"
}
}成功
{
"task": {
"id": "job_example",
"model": "MiniMax-H3",
"created_at": 1800000000,
"updated_at": 1800000060,
"resolution": "768P",
"duration": 5,
"ratio": "16:9",
"width": 1344,
"height": 768,
"task_type": "generation",
"modality": "video",
"status": "succeeded",
"content": {
"url": "https://api.jusuanhub.com/v2/video_generation/results/asset_example/content?ticket=REDACTED"
},
"usage": {
"input_seconds": 0,
"input_image_count": 0,
"output_seconds": 5.167,
"total_seconds": 5.167
}
}
}失败
{
"task": {
"id": "job_example",
"model": "MiniMax-H3",
"created_at": 1800000000,
"updated_at": 1800000060,
"resolution": "768P",
"duration": 5,
"ratio": "16:9",
"width": 1344,
"height": 768,
"task_type": "generation",
"modality": "video",
"status": "failed",
"error": {
"code": "prompt_optimization_failed",
"message": "提示词优化失败"
}
}
}GET
/v2/query/video_generation/{task_id}身份认证
bearerAuth 认证方式Bearer <token>
传入位置: header
路径参数
task_id*string
响应正文
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json